//
// Created by spenc on 5/18/2025.
//

#ifndef EDITOR_H
#define EDITOR_H
#include "Layer.h"
#include "Core.h"
namespace OX {



class Editor final : public Layer {
public:
    using Layer::Layer;

    void Init(Core& core) override;
    void Update(Core& core) override;
    void Draw(Core& core) override;
    void Shutdown(Core& core) override;
};



} // OX

#endif //EDITOR_H
